DeepFellow DOCS

Add user to organization

POST
/v1/organization/users

Add user to organization.

Authorization

headerAuthorizationBearer <token>

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

Request Body

application/json
  1. body
id*string

User id

Match^[0-9a-fA-F]{24}$
role*string

User role.

Value in"owner""user"

Response Body

Successful Response

application/json
  1. response
object?string
Default"organization.user"
id*string

User id

Match^[0-9a-fA-F]{24}$
name*string

User name.

email*string

User email.

role*string

User role.

Value in"owner""user"
added_at?integer
Example Request
curl -X POST 'https://deepfellow-server-host/v1/organization/users' \  -H 'Content-Type: application/json' \  -d '{  "id": "5eb7cf5a86d9755df3a6c593",  "role": "owner"}'
Example Response
{  "object": "organization.user",  "id": "5eb7cf5a86d9755df3a6c593",  "name": "string",  "email": "string",  "role": "owner",  "added_at": 0}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.